## kodi-inputstream-ffmpegdirect 1.19.2+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(inputstream.ffmpegdirect)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(PkgConfig)
if(WIN32)
  find_package(LibXml2 REQUIRED)
  find_package(Iconv REQUIRED)
  find_package(OpenSSL REQUIRED)
endif()
find_package(Kodi REQUIRED)
find_package(FFMPEG REQUIRED)
find_package(ZLIB REQUIRED)
find_package(BZip2 REQUIRED)

set(CATCHUP_SOURCES src/StreamManager.cpp
                    src/stream/DemuxStream.cpp
                    src/stream/FFmpegCatchupStream.cpp
                    src/stream/FFmpegLog.cpp
                    src/stream/FFmpegStream.cpp
                    src/stream/CurlCatchupInput.cpp
                    src/stream/CurlInput.cpp
                    src/stream/TimeshiftBuffer.cpp
                    src/stream/TimeshiftSegment.cpp
                    src/stream/TimeshiftStream.cpp
                    src/stream/url/URL.cpp
                    src/stream/url/UrlOptions.cpp
                    src/stream/url/Variant.cpp
                    src/utils/DiskUtils.cpp
                    src/utils/FilenameUtils.cpp)

set(CATCHUP_HEADERS src/StreamManager.h
                    src/stream/BaseStream.h
                    src/stream/DemuxStream.h
                    src/stream/FFmpegCatchupStream.h
                    src/stream/FFmpegLog.h
                    src/stream/FFmpegStream.h
                    src/stream/CurlCatchupInput.h
                    src/stream/CurlInput.h
                    src/stream/IManageDemuxPacket.h
                    src/stream/TimeshiftBuffer.h
                    src/stream/TimeshiftSegment.h
                    src/stream/TimeshiftStream.h
                    src/utils/HttpProxy.h
                    src/utils/DiskUtils.h
                    src/utils/FilenameUtils.h
                    src/utils/Log.h
                    src/utils/Properties.h
                    src/utils/TimeUtils.h
                    src/stream/url/URL.h
                    src/stream/url/UrlOptions.h
                    src/stream/url/Variant.h)

include_directories(${INCLUDES}
                    ${FFMPEG_INCLUDE_DIRS}
                    ${ZLIB_INCLUDE_DIRS}
                    ${BZIP2_INCLUDE_DIRS}
                    ${OPENSSL_INCLUDE_DIR}
                    ${LIBXML2_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)

# to see linker output
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -v")

# We don't add FFMPEG_LIBRARIES here as we handle them at the end
list(APPEND DEPLIBS ${ZLIB_LIBRARIES}
                    ${BZIP2_LIBRARIES})

if(WIN32)
  # Windows does need to know about FFMPEG_LIBRARIES here
  list(APPEND DEPLIBS ${ICONV_LIBRARIES}
                      ${OPENSSL_LIBRARIES}
                      ${LIBXML2_LIBRARIES}
                      ${FFMPEG_LIBRARIES}
                      Winmm.lib
                      WS2_32.lib
                      Bcrypt.lib
                      Secur32.lib
                      Mfplat.lib
                      Mfuuid.lib
                      Strmiids.lib)
elseif(CORE_SYSTEM_NAME STREQUAL osx OR
       CORE_SYSTEM_NAME STREQUAL darwin_embedded)
  find_library(AUDIOTOOLBOX AudioToolbox)
  find_library(COREFOUNDATION CoreFoundation)
  find_library(COREMEDIA CoreMedia)
  find_library(COREVIDEO CoreVideo)
  find_library(VIDEOTOOLBOX VideoToolbox)
  find_library(SECURITY Security)

  include_directories(${AUDIOTOOLBOX}
                      ${COREFOUNDATION}
                      ${COREMEDIA}
                      ${COREVIDEO}
                      ${VIDEOTOOLBOX}
                      ${SECURITY})

  list(APPEND DEPLIBS ${AUDIOTOOLBOX} ${COREFOUNDATION} ${COREMEDIA} ${COREVIDEO} ${VIDEOTOOLBOX} ${SECURITY})
else()
  list(APPEND DEPLIBS ${FFMPEG_LIBRARIES})
endif()

addon_version(inputstream.ffmpegdirect CATCHUP)
add_definitions(-DCATCHUP_VERSION=${CATCHUP_VERSION})

build_addon(inputstream.ffmpegdirect CATCHUP DEPLIBS)

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  # Due to a bug in CMake and frameworks on OSX we strip them from FFMPEG_LDFLAGS
  string(REGEX REPLACE "-framework;([A-Za-z0-9_]+);?" "" FFMPEG_LDFLAGS "${FFMPEG_LDFLAGS}")
endif()
# Now remove ';''s for all platforms and allow CMake to add them back
string(REGEX REPLACE ";" " " FFMPEG_LDFLAGS "${FFMPEG_LDFLAGS}")
set_target_properties(inputstream.ffmpegdirect PROPERTIES LINK_FLAGS "${FFMPEG_LDFLAGS}")

if(CORE_SYSTEM_NAME STREQUAL windowsstore)
  # fix linking
  set_target_properties(inputstream.ffmpegdirect PROPERTIES LINK_FLAGS_RELWITHDEBINFO "/LTCG /defaultlib:vccorlib.lib /defaultlib:msvcrt.lib")
  set_target_properties(inputstream.ffmpegdirect PROPERTIES LINK_FLAGS_RELEASE "/LTCG /defaultlib:vccorlib.lib /defaultlib:msvcrt.lib")
  set_target_properties(inputstream.ffmpegdirect PROPERTIES LINK_FLAGS_DEBUG "/LTCG /defaultlib:vccorlibd.lib /defaultlib:msvcrtd.lib")
endif()

include(CPack)

## kodi-inputstream-ffmpegdirect 1.19.2%2Bds1

=== debian/changelog ===
kodi-inputstream-ffmpegdirect (1.19.2+ds1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:41:22 -0700

kodi-inputstream-ffmpegdirect (1.19.2+ds1-1) unstable; urgency=medium

  * New upstream version 1.19.2+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 18 Feb 2021 23:38:47 +0000

kodi-inputstream-ffmpegdirect (1.19.1+ds1-1) unstable; urgency=medium

  * New upstream version 1.19.1+ds1
  * d/upstream/metadata: Add Bug-Submit URL
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:49 +0000

kodi-inputstream-ffmpegdirect (1.18.2+ds1-1) experimental; urgency=medium

  * Initial upload (Closes: #977773)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 17:05:10 +0000

=== debian/control ===
Source: kodi-inputstream-ffmpegdirect
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libavcodec-dev (>= 7:4.2.2),
                    libavfilter-dev (>= 7:4.2.2),
                    libavformat-dev (>= 7:4.2.2),
                    libavutil-dev (>= 7:4.2.2),
                    libbz2-dev,
                    libpostproc-dev (>= 4.2.2),
                    libswresample-dev (>= 7:4.2.2),
                    libswscale-dev (>= 7:4.2.2),
                    libz3-dev,
                    nasm [i386],
                    pkg-config,
                    zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect.git
Homepage: https://kodi.tv/

Package: kodi-inputstream-ffmpegdirect
Architecture: any
Depends: ${kodi:INPUTSTREAMAPI}, ${misc:Depends}, ${shlibs:Depends}
Description: FFmpegDirect inputstream addon for Kodi
 This package is FFmpegDirect inputstream addon for Kodi.
 .
 It Supports streams opened by FFmpeg's libavformat or
 Kodi's cURL such as plain TS, HLS and DASH (non-DRM)
 as well as many others.
 .
 There is support for Archive/Catchup services where there
 is a replay window and can timeshift across that span.
 .
 It also provides timeshift for live streams where
 rewind/pause and fast-forward would not have been available.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DENABLE_INTERNAL_FFMPEG=OFF \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=1

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kodi-inputstream-ffmpegdirect 1.19.2+ds1

=== debian/control ===
Source: kodi-inputstream-ffmpegdirect
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
 libavcodec-dev (>= 7:4.2.2),
 libavfilter-dev (>= 7:4.2.2),
 libavformat-dev (>= 7:4.2.2),
 libavutil-dev (>= 7:4.2.2),
 libbz2-dev,
 libpostproc-dev (>= 4.2.2),
 libswresample-dev (>= 7:4.2.2),
 libswscale-dev (>= 7:4.2.2),
 libz3-dev,
 nasm [i386],
 pkg-config,
 zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect.git
Homepage: https://kodi.tv/

Package: kodi-inputstream-ffmpegdirect
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:INPUTSTREAMAPI}
Description: FFmpegDirect inputstream addon for Kodi
 This package is FFmpegDirect inputstream addon for Kodi.
 .
 It Supports streams opened by FFmpeg's libavformat or
 Kodi's cURL such as plain TS, HLS and DASH (non-DRM)
 as well as many others.
 .
 There is support for Archive/Catchup services where there
 is a replay window and can timeshift across that span.
 .
 It also provides timeshift for live streams where
 rewind/pause and fast-forward would not have been available.

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.ffmpegdirect/releases \
/xbmc/inputstream.ffmpegdirect/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-inputstream-ffmpegdirect 1.21.3+ds1

=== debian/changelog ===
kodi-inputstream-ffmpegdirect (1.21.3+ds1-1) unstable; urgency=medium

  * New upstream version 1.21.3+ds1
  * Fix github ref
  * Downgrade ffmpeg required version to 4.1.6

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 06 Jul 2021 19:01:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends-Arch: dh-sequence-kodiaddon,
  cmake,
  kodi-addons-dev (>= 2:19~),
- libavcodec-dev (>= 7:4.2.2),
- libavfilter-dev (>= 7:4.2.2),
- libavformat-dev (>= 7:4.2.2),
- libavutil-dev (>= 7:4.2.2),
+ libavcodec-dev (>= 7:4.1.6~),
+ libavfilter-dev (>= 7:4.1.6~),
+ libavformat-dev (>= 7:4.1.6~),
+ libavutil-dev (>= 7:4.1.6~),
  libbz2-dev,
- libpostproc-dev (>= 4.2.2),
- libswresample-dev (>= 7:4.2.2),
- libswscale-dev (>= 7:4.2.2),
+ libpostproc-dev (>= 4.1.6~),
+ libswresample-dev (>= 7:4.1.6~),
+ libswscale-dev (>= 7:4.1.6~),
  libz3-dev,
  nasm [i386],
  pkg-config,

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.ffmpegdirect/releases \
/xbmc/inputstream.ffmpegdirect/archive/refs/tags/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-inputstream-ffmpegdirect 19.0.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,43 +14,43 @@
 find_package(ZLIB REQUIRED)
 find_package(BZip2 REQUIRED)
 
-set(CATCHUP_SOURCES src/StreamManager.cpp
-                    src/stream/DemuxStream.cpp
-                    src/stream/FFmpegCatchupStream.cpp
-                    src/stream/FFmpegLog.cpp
-                    src/stream/FFmpegStream.cpp
-                    src/stream/CurlCatchupInput.cpp
-                    src/stream/CurlInput.cpp
-                    src/stream/TimeshiftBuffer.cpp
-                    src/stream/TimeshiftSegment.cpp
-                    src/stream/TimeshiftStream.cpp
-                    src/stream/url/URL.cpp
-                    src/stream/url/UrlOptions.cpp
-                    src/stream/url/Variant.cpp
-                    src/utils/DiskUtils.cpp
-                    src/utils/FilenameUtils.cpp)
+set(FFMPEGDIRECT_SOURCES src/StreamManager.cpp
+                         src/stream/DemuxStream.cpp
+                         src/stream/FFmpegCatchupStream.cpp
+                         src/stream/FFmpegLog.cpp
+                         src/stream/FFmpegStream.cpp
+                         src/stream/CurlCatchupInput.cpp
+                         src/stream/CurlInput.cpp
+                         src/stream/TimeshiftBuffer.cpp
+                         src/stream/TimeshiftSegment.cpp
+                         src/stream/TimeshiftStream.cpp
+                         src/stream/url/URL.cpp
+                         src/stream/url/UrlOptions.cpp
+                         src/stream/url/Variant.cpp
+                         src/utils/DiskUtils.cpp
+                         src/utils/FilenameUtils.cpp)
 
-set(CATCHUP_HEADERS src/StreamManager.h
-                    src/stream/BaseStream.h
-                    src/stream/DemuxStream.h
-                    src/stream/FFmpegCatchupStream.h
-                    src/stream/FFmpegLog.h
-                    src/stream/FFmpegStream.h
-                    src/stream/CurlCatchupInput.h
-                    src/stream/CurlInput.h
-                    src/stream/IManageDemuxPacket.h
-                    src/stream/TimeshiftBuffer.h
-                    src/stream/TimeshiftSegment.h
-                    src/stream/TimeshiftStream.h
-                    src/utils/HttpProxy.h
-                    src/utils/DiskUtils.h
-                    src/utils/FilenameUtils.h
-                    src/utils/Log.h
-                    src/utils/Properties.h
-                    src/utils/TimeUtils.h
-                    src/stream/url/URL.h
-                    src/stream/url/UrlOptions.h
-                    src/stream/url/Variant.h)
+set(FFMPEGDIRECT_HEADERS src/StreamManager.h
+                         src/stream/BaseStream.h
+                         src/stream/DemuxStream.h
+                         src/stream/FFmpegCatchupStream.h
+                         src/stream/FFmpegLog.h
+                         src/stream/FFmpegStream.h
+                         src/stream/CurlCatchupInput.h
+                         src/stream/CurlInput.h
+                         src/stream/IManageDemuxPacket.h
+                         src/stream/TimeshiftBuffer.h
+                         src/stream/TimeshiftSegment.h
+                         src/stream/TimeshiftStream.h
+                         src/utils/HttpProxy.h
+                         src/utils/DiskUtils.h
+                         src/utils/FilenameUtils.h
+                         src/utils/Log.h
+                         src/utils/Properties.h
+                         src/utils/TimeUtils.h
+                         src/stream/url/URL.h
+                         src/stream/url/UrlOptions.h
+                         src/stream/url/Variant.h)
 
 include_directories(${INCLUDES}
                     ${FFMPEG_INCLUDE_DIRS}
@@ -101,10 +101,10 @@
   list(APPEND DEPLIBS ${FFMPEG_LIBRARIES})
 endif()
 
-addon_version(inputstream.ffmpegdirect CATCHUP)
-add_definitions(-DCATCHUP_VERSION=${CATCHUP_VERSION})
+addon_version(inputstream.ffmpegdirect FFMPEGDIRECT)
+add_definitions(-DFFMPEGDIRECT_VERSION=${FFMPEGDIRECT_VERSION})
 
-build_addon(inputstream.ffmpegdirect CATCHUP DEPLIBS)
+build_addon(inputstream.ffmpegdirect FFMPEGDIRECT DEPLIBS)
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   # Due to a bug in CMake and frameworks on OSX we strip them from FFMPEG_LDFLAGS

=== debian/changelog ===
kodi-inputstream-ffmpegdirect (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:26 +0000

kodi-inputstream-ffmpegdirect (1.21.8+ds1-1) unstable; urgency=medium

  * New upstream version 1.21.8+ds1
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:30:16 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  nasm [i386],
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect.git

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,4 @@
             -DENABLE_INTERNAL_FFMPEG=OFF \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
             -DOVERRIDE_PATHS=1 \
-            -DUSE_LTO=1
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+            -DUSE_LTO=0

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.ffmpegdirect/releases \
/xbmc/inputstream.ffmpegdirect/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-inputstream-ffmpegdirect 19.0.1%2Bds1

=== debian/changelog ===
kodi-inputstream-ffmpegdirect (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:18 +0000

kodi-inputstream-ffmpegdirect (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:51:14 +0000

## kodi-inputstream-ffmpegdirect 19.0.1+ds1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  libavcodec-dev (>= 7:4.1.6~),
  libavfilter-dev (>= 7:4.1.6~),
  libavformat-dev (>= 7:4.1.6~),

## kodi-inputstream-ffmpegdirect 20.4.0+ds1

=== debian/changelog ===
kodi-inputstream-ffmpegdirect (20.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.4.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:57:21 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  libavcodec-dev (>= 7:4.1.6~),
  libavfilter-dev (>= 7:4.1.6~),
@@ -18,7 +18,7 @@
  nasm [i386],
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.ffmpegdirect/releases \
/xbmc/inputstream.ffmpegdirect/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-inputstream-ffmpegdirect 20.5.0+ds1

=== debian/changelog ===
kodi-inputstream-ffmpegdirect (20.5.0+ds1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:35:58 +1100

kodi-inputstream-ffmpegdirect (20.5.0+ds1-3) unstable; urgency=medium

  * Fix timeshift on ffmpeg >= 5.0.0

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 05 Mar 2024 17:06:07 +0000

kodi-inputstream-ffmpegdirect (20.5.0+ds1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present in machine-readable debian/copyright).

  [ Vasyl Gello ]
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches
  * Add patch for ffmpeg6 (Closes: #1041401)
  * Fix build with GCC 13 (Closes: #1037714)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 04 Aug 2023 19:49:27 +0000

kodi-inputstream-ffmpegdirect (20.5.0+ds1-1) unstable; urgency=medium

  * Fix lintian warnings

  [ Vasyl Gello ]
  * New upstream version 20.5.0+ds1
  * d/watch: switch to git tags
  * Refresh ffmpeg5 patch (Closes: #1004783)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:43 +0000

kodi-inputstream-ffmpegdirect (20.4.0+ds1-2) UNRELEASED; urgency=medium

  * Add patch to compile and work with ffmpeg >= 5.0 (Closes: #1004783)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 05 Aug 2022 16:49:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: kodi-inputstream-ffmpegdirect
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
- libavcodec-dev (>= 7:4.1.6~),
- libavfilter-dev (>= 7:4.1.6~),
- libavformat-dev (>= 7:4.1.6~),
- libavutil-dev (>= 7:4.1.6~),
+ libavcodec-dev,
+ libavfilter-dev,
+ libavformat-dev,
+ libavutil-dev,
  libbz2-dev,
- libpostproc-dev (>= 4.1.6~),
- libswresample-dev (>= 7:4.1.6~),
- libswscale-dev (>= 7:4.1.6~),
+ libpostproc-dev,
+ libswresample-dev,
+ libswscale-dev,
  libz3-dev,
  nasm [i386],
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.ffmpegdirect \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-inputstream-ffmpegdirect 20.5.1+ds

=== debian/changelog ===
kodi-inputstream-ffmpegdirect (20.5.1+ds-1) unstable; urgency=medium

  * New upstream version 20.5.1+ds
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 03 Jul 2024 05:38:36 +0000

## kodi-inputstream-ffmpegdirect 21.3.5+ds

=== debian/changelog ===
kodi-inputstream-ffmpegdirect (21.3.5+ds-1) unstable; urgency=medium

  * New upstream version 21.3.5+ds
  * Add workaround for FFmpeg 7.0 (Closes: #1072426)
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:56:46 +0000

kodi-inputstream-ffmpegdirect (21.3.4+ds-1) experimental; urgency=medium

  * New upstream version 21.3.4+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Refresh patches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:09:29 +0000

=== debian/watch ===
--- 
+++ 
@@ -10,5 +10,5 @@
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/xbmc/inputstream.ffmpegdirect \
-refs/tags/@ANY_VERSION@-Nexus \
+refs/tags/@ANY_VERSION@-Omega \
 debian

## kodi-inputstream-ffmpegdirect 21.3.7+ds

=== debian/changelog ===
kodi-inputstream-ffmpegdirect (21.3.7+ds-2) unstable; urgency=medium

  * Fix crash on the end of media

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 09 Jun 2025 16:40:26 +0000

kodi-inputstream-ffmpegdirect (21.3.7+ds-1) unstable; urgency=high

  * New upstream version 21.3.7+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:17 +0000

kodi-inputstream-ffmpegdirect (21.3.5+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: kodi-inputstream-ffmpegdirect
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
  libavcodec-dev,
  libavfilter-dev,
@@ -19,10 +18,10 @@
  nasm [i386],
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-ffmpegdirect.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-inputstream-ffmpegdirect

## kodi-inputstream-ffmpegdirect 21.3.8+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -116,9 +116,9 @@
 
 if(CORE_SYSTEM_NAME STREQUAL windowsstore)
   # fix linking
-  set_target_properties(inputstream.ffmpegdirect PROPERTIES LINK_FLAGS_RELWITHDEBINFO "/LTCG /defaultlib:vccorlib.lib /defaultlib:msvcrt.lib")
-  set_target_properties(inputstream.ffmpegdirect PROPERTIES LINK_FLAGS_RELEASE "/LTCG /defaultlib:vccorlib.lib /defaultlib:msvcrt.lib")
-  set_target_properties(inputstream.ffmpegdirect PROPERTIES LINK_FLAGS_DEBUG "/LTCG /defaultlib:vccorlibd.lib /defaultlib:msvcrtd.lib")
+  set_target_properties(inputstream.ffmpegdirect PROPERTIES LINK_FLAGS_RELWITHDEBINFO "/LTCG /defaultlib:vccorlib.lib /defaultlib:msvcrt.lib /defaultlib:onecore.lib")
+  set_target_properties(inputstream.ffmpegdirect PROPERTIES LINK_FLAGS_RELEASE "/LTCG /defaultlib:vccorlib.lib /defaultlib:msvcrt.lib /defaultlib:onecore.lib")
+  set_target_properties(inputstream.ffmpegdirect PROPERTIES LINK_FLAGS_DEBUG "/LTCG /defaultlib:vccorlibd.lib /defaultlib:msvcrtd.lib /defaultlib:onecore.lib")
 endif()
 
 include(CPack)

=== debian/changelog ===
kodi-inputstream-ffmpegdirect (21.3.8+ds-1) unstable; urgency=high

  * New upstream version 21.3.8+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 10 Oct 2025 06:40:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,12 @@
 	dh $@
 
 override_dh_auto_configure:
+	# basilgello: -DCMAKE_INSTALL_DIR silences Kodi buildsystem
+	# warning triggered by dh_configure unnecessarily overriding
+	# install directory
+	# -DUSE_LTO=0 disables LTO and makes build reproducible
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
             -DBUILD_SHARED_LIBS=1 \
             -DENABLE_INTERNAL_FFMPEG=OFF \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
-            -DOVERRIDE_PATHS=1 \
             -DUSE_LTO=0

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.ffmpegdirect \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
